Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Perfect_Hash_OpTable Class Reference

`#include <Operation_Table.h>`

Inheritance diagram for TAO_Perfect_Hash_OpTable

[legend]
Collaboration diagram for TAO_Perfect_Hash_OpTable:

[legend]
List of all members.

## Public Methods
| TAO_Perfect_Hash_OpTable (void)
virtual | ~TAO_Perfect_Hash_OpTable (void)
virtual int | find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length = 0)
virtual int | bind (const char *opname, const TAO_Skeleton skel_ptr)
## Private Methods
virtual unsigned int | hash (const char *str, unsigned int len) = 0
virtual const TAO_operation_db_entry* | lookup (const char *str, unsigned int len) = 0

## Constructor & Destructor Documentation

TAO_Perfect_Hash_OpTable::TAO_Perfect_Hash_OpTable ( | void )

TAO_Perfect_Hash_OpTable::~TAO_Perfect_Hash_OpTable ( | void )`[virtual]`

## Member Function Documentation

int TAO_Perfect_Hash_OpTable::bind ( | const char * opname,
| const TAO_Skeleton skel_ptr )`[virtual]`

| Reimplemented from TAO_Operation_Table.

int TAO_Perfect_Hash_OpTable::find ( | const char * opname,
| TAO_Skeleton & skelfunc,
| const unsigned int length = 0 )`[virtual]`

| Reimplemented from TAO_Operation_Table.

virtual unsigned int TAO_Perfect_Hash_OpTable::hash ( | const char * str,
| unsigned int len )`[private, pure virtual]`

| Reimplemented in TAO_ImplementationRepository_ServerObject_Perfect_Hash_OpTable, TAO_ImplementationRepository_Administration_Perfect_Hash_OpTable, TAO_ImplementationRepository_ServerInformationIterator_Perfect_Hash_OpTable, TAO_Messaging_ReplyHandler_Perfect_Hash_OpTable, and TAO_CORBA_Policy_Perfect_Hash_OpTable.

virtual const TAO_operation_db_entry* TAO_Perfect_Hash_OpTable::lookup ( | const char * str,
| unsigned int len )`[private, pure virtual]`

| Reimplemented in TAO_ImplementationRepository_ServerObject_Perfect_Hash_OpTable, TAO_ImplementationRepository_Administration_Perfect_Hash_OpTable, TAO_ImplementationRepository_ServerInformationIterator_Perfect_Hash_OpTable, TAO_Messaging_ReplyHandler_Perfect_Hash_OpTable, and TAO_CORBA_Policy_Perfect_Hash_OpTable.

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp